: Class ServletLoader

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.jigsaw.servlet
Class ServletLoader

    java.lang.Object
      |
      +--java.lang.ClassLoader
            |
            +--org.w3c.jigsaw.servlet.ServletLoader

public class ServletLoader
extends java.lang.ClassLoader

Constructor Summary
`protected` | `ServletLoader(RemoteServletWrapper wrapper)`

Method Summary
`protected java.lang.Class` | `loadClass(java.lang.String name, boolean resolve)` Try to load class.
`protected java.net.URL` | `locateClass(java.lang.String name)` Given the class name, return its URL.

Methods inherited from class java.lang.ClassLoader
`defineClass, defineClass, defineClass, definePackage, findClass, findLibrary, findLoadedClass, findResource, findResources, findSystemClass, getPackage, getPackages, getParent, getResource, getResourceAsStream, getResources, getSystemClassLoader, getSystemResource, getSystemResourceAsStream, getSystemResources, loadClass, resolveClass, setSigners`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ServletLoader

    protected ServletLoader(RemoteServletWrapper wrapper)

Method Detail

### locateClass

    protected java.net.URL locateClass(java.lang.String name)

  Given the class name, return its URL.
  Parameters:
    `name` - The class to be loaded.
  Returns:
    The URL for the class.

### loadClass

    protected java.lang.Class loadClass(java.lang.String name,
                                        boolean resolve)
                                 throws java.lang.ClassNotFoundException

  Try to load class.
  Overrides:
    loadClass in class java.lang.ClassLoader
  Parameters:
    `name` - The class name.
    `boolean` - The resolve flag
  Returns:
    a Class instance
  Throws:
    java.lang.ClassNotFoundException - if the class file can't be found.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD